package com.ploedige.broadcastsender;

import androidx.appcompat.app.AppCompatActivity;

import android.content.ComponentName;
import android.content.Intent;
import android.os.Bundle;
import android.view.View;

public class MainActivity extends AppCompatActivity {

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);
    }

    public void broadcast(View view){
        Intent broadcastIntent = new Intent("com.ploedige.TESTBROADCAST");
        broadcastIntent.addFlags(Intent.FLAG_INCLUDE_STOPPED_PACKAGES);
        //since Android O implicit Broadcasts are disabled.
        //this gets the component and makes an explicit broadcast
        ComponentName componentName = new ComponentName(
                "com.ploedige.broadcastreceiver",
                "com.ploedige.broadcastreceiver.TestReceiver");
        broadcastIntent.setComponent(componentName);
        sendBroadcast(broadcastIntent);
    }
}